const labels = ['broj akcija u %', 'poznata darovana suma u %']
export const ColorLegend = ({
  colorScale,
  tickSpacing = 25,
  tickSize = 20,
  tickTextOffset = 30
}) =>
  colorScale.domain().map((domainValue, i) => (
    <g transform={`translate(0, ${i * tickSpacing})`}>
      <rect fill={colorScale(domainValue)} width={tickSize} height={tickSize} />
      <text x={tickTextOffset} dy="1em">{labels[i]}</text>
    </g>
  ));
