const menuItems = ['Total', 'Covid', 'Other'];
const gID = ['ActionsPTC', 'CovidOnlyAct', 'CovidOnlyAmt']; // xValue, xFirstRectValue, xSecondRectValue
const textID = ['AmountPTC', 'OtherOnlyAct', 'OtherOnlyAmt']; // x2Value, x2FirstRectValue, x2SecondRectValue
export const PlotMenu = ({updateXValue, updateX2Value}) => 
	menuItems.map((menuItem, i) => {
	const func1 = x => updateXValue(x.target.className.baseVal)
  const func2 = x => updateX2Value(x.target.id)
    return (
      <g>
        <text 
          className={gID[i]}
          id={textID[i]} 
          onClick={event => {func2(event); func1(event);}} 
          dx={100 * i} 
        >
          {menuItem}
        </text>
      </g>
)    
  })